/***************************************************************************
*   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#include "progressbar.h"

namespace ConexusGtk {

ProgressBar::ProgressBar(unsigned pulse_units)
  : m_pulse_units(pulse_units)
 {
   this->pulse();
 }


 ProgressBar::~ProgressBar()
 {
 }

 unsigned ProgressBar::pulse_units( )
 {
   return m_pulse_units;
 }

 void ProgressBar::set_pulse_units( unsigned units )
 {
   m_pulse_units = units;
 }

 void ProgressBar::on_data( size_t n )
 {
   m_data_count += n;
  
   if ( m_pulse_units == 0 ) {
     this->pulse();
   }
   else {
     m_data_count += n;
   if ( m_data_count > m_pulse_units ) {
     for ( unsigned i = 0; i < m_data_count/m_pulse_units; i++)
       this->pulse();
     m_data_count %= m_pulse_units;
   } 
   }
 }

 void ProgressBar::on_read_data( size_t n )
 {
   this->on_data( n );
 }

 void ProgressBar::on_write_data( size_t n )
 {
   this->on_data( n );
 }

}
