/***************************************************************************
*   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#ifndef CONEXUSGTKPROGRESSBAR_H
#define CONEXUSGTKPROGRESSBAR_H

#include <gtkmm/progressbar.h>

#include <conexusmm/dataprogresswatcher.h>

namespace ConexusGtk {

/**
	@author Rick L Vinyard Jr <rvinyard@cs.nmsu.edu>
*/
class ProgressBar : public Gtk::ProgressBar, public DataProgressWatcher
{
public:
    ProgressBar(unsigned pulse_units=0);

    ~ProgressBar();

    unsigned pulse_units();
    
    void set_pulse_units( unsigned units );
    
  protected:
    unsigned m_pulse_units;
    
    void on_data( size_t n );
    
    virtual void on_read_data( size_t n );
    
    virtual void on_write_data( size_t n );

};

}

#endif
