/***************************************************************************
*   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#ifndef CONEXUSMMTTYBYTESIZERADIO_H
#define CONEXUSMMTTYBYTESIZERADIO_H

#include <gtkmm/table.h>
#include <gtkmm/radiobutton.h>

namespace ConexusGtk {

/**
	@author Rick L Vinyard Jr <rvinyard@cs.nmsu.edu>
*/
class TTYByteSizeRadio : public Gtk::Table
{
public:
    TTYByteSizeRadio(unsigned byte_size=8);

    ~TTYByteSizeRadio();
    
    unsigned byte_size();
    void set_byte_size( unsigned byte_size );

    sigc::signal<void> signal_changed();
    
  protected:
    Gtk::RadioButton m_radio_button[4];
    unsigned m_active;
    
    sigc::signal<void> m_signal_changed;
    
    void on_button_changed( unsigned byte_size );
};

}

#endif
