/***************************************************************************
*   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#include "ttyflowcontrolcombobox.h"

namespace ConexusGtk {

std::tr1::array<std::string,3> tty_flow_control_string = { {
  "No flow control",
  "Hardware flow control",
  "Software flow control",
} };

TTYFlowControlComboBox::TTYFlowControlComboBox(int active)
 : Gtk::ComboBoxText()
{  
  for (int i = 0; i < tty_flow_control_string.size(); i++)
    this->append_text( tty_flow_control_string[i] );
  this->set_active(active);
}


TTYFlowControlComboBox::~TTYFlowControlComboBox()
{
}

Conexus::FlowControl TTYFlowControlComboBox::flow_control( )
{
  return static_cast<Conexus::FlowControl>( this->get_active_row_number() );
}

void TTYFlowControlComboBox::set_flow_control( Conexus::FlowControl flow_control )
{
  this->set_active( flow_control );
}

}

