/***************************************************************************
*   Copyright (C) 2001 by Rick L. Vinyard, Jr.                            *
*   rvinyard@cs.nmsu.edu                                                  *
*                                                                         *
*   This program is free software; you can redistribute it and/or modify  *
*   it under the terms of the GNU Lesser General Public License as        *
*   published by the Free Software Foundation version 2.1.                *
*                                                                         *
*   This program is distributed in the hope that it will be useful,       *
*   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
*   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
*   GNU General Public License for more details.                          *
*                                                                         *
*   You should have received a copy of the GNU Lesser General Public      *
*   License along with this library; if not, write to the                 *
*   Free Software Foundation, Inc.,                                       *
*   51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA              *
***************************************************************************/
#include "ttyparitycombobox.h"

namespace ConexusGtk {

std::tr1::array<std::string,3> tty_parity_string = { {
  "No parity",
  "Even parity",
  "Odd parity",
} };

TTYParityComboBox::TTYParityComboBox(int active)
 : Gtk::ComboBoxText()
{  
  for (int i = 0; i < tty_parity_string.size(); i++)
    this->append_text( tty_parity_string[i] );
  this->set_active(active);
}


TTYParityComboBox::~TTYParityComboBox()
{
}

Conexus::Parity TTYParityComboBox::parity( )
{
  return static_cast<Conexus::Parity>( this->get_active_row_number() );
}

void TTYParityComboBox::set_parity( Conexus::Parity parity )
{
  this->set_active( parity );
}

}

